Patchwork [evolve-ext] packaging: require mercurial >= 4.5

login
register
mail settings
Submitter Philippe Pepiot
Date June 11, 2019, 8:05 a.m.
Message ID <33696e2159a783087f9e.1560240337@euler.in.philpep.org>
Download mbox | patch
Permalink /patch/40418/
State New
Headers show

Comments

Philippe Pepiot - June 11, 2019, 8:05 a.m.
# HG changeset patch
# User Philippe Pepiot <philippe.pepiot@logilab.fr>
# Date 1560240251 -7200
#      Tue Jun 11 10:04:11 2019 +0200
# Branch stable
# Node ID 33696e2159a783087f9e6d91572e6d9704ef1c91
# Parent  344befcf63aaeae7f743575411192ee8f90a58e2
packaging: require mercurial >= 4.5

Otherwise building the doc package fails with:

(third party extension evolve requires version 4.5 or newer of Mercurial; disabling)

Exception occurred:
  File "/usr/lib/python2.7/dist-packages/mercurial/help.py", line 624, in help_
    raise error.Abort(msg, hint=hint)
Abort: no such help topic: evolve
Pulkit Goyal - June 11, 2019, 1:58 p.m.
+ marmoute

On Tue, Jun 11, 2019 at 11:13 AM Philippe Pepiot <philippe.pepiot@logilab.fr>
wrote:

> # HG changeset patch
> # User Philippe Pepiot <philippe.pepiot@logilab.fr>
> # Date 1560240251 -7200
> #      Tue Jun 11 10:04:11 2019 +0200
> # Branch stable
> # Node ID 33696e2159a783087f9e6d91572e6d9704ef1c91
> # Parent  344befcf63aaeae7f743575411192ee8f90a58e2
> packaging: require mercurial >= 4.5
>
> Otherwise building the doc package fails with:
>
> (third party extension evolve requires version 4.5 or newer of Mercurial;
> disabling)
>
> Exception occurred:
>   File "/usr/lib/python2.7/dist-packages/mercurial/help.py", line 624, in
> help_
>     raise error.Abort(msg, hint=hint)
> Abort: no such help topic: evolve
>
> diff --git a/debian/control b/debian/control
> --- a/debian/control
> +++ b/debian/control
> @@ -7,7 +7,7 @@ Uploaders:
>   Pierre-Yves David <pierre-yves.david@logilab.fr>,
>  Standards-Version: 3.9.3
>  Build-Depends:
> - mercurial (>= 4.1),
> + mercurial (>= 4.5),
>   python,
>   debhelper (>= 8),
>   python-sphinx (>= 1.0.8),
> _______________________________________________
> Mercurial-devel mailing list
> Mercurial-devel@mercurial-scm.org
> https://www.mercurial-scm.org/mailman/listinfo/mercurial-devel
>

Patch

diff --git a/debian/control b/debian/control
--- a/debian/control
+++ b/debian/control
@@ -7,7 +7,7 @@  Uploaders:
  Pierre-Yves David <pierre-yves.david@logilab.fr>,
 Standards-Version: 3.9.3
 Build-Depends:
- mercurial (>= 4.1),
+ mercurial (>= 4.5),
  python,
  debhelper (>= 8),
  python-sphinx (>= 1.0.8),